## krdp 6.1.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-License-Identifier: BSD-2-Clause

set(PROJECT_VERSION "6.1.5")

cmake_minimum_required(VERSION 3.16)

set(QT_MIN_VERSION "6.6.0")
set(KF6_MIN_VERSION "6.2.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.85")

project(KRdp VERSION "${PROJECT_VERSION}")

include(FeatureSummary)
find_package(ECM ${KF6_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(KDEClangFormat)
include(ECMGenerateExportHeader)
include(ECMAddTests)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMEnableSanitizers)

option(BUILD_EXAMPLES "Build example applications" ON)
option(BUILD_PLASMA_SESSION "Build support for Plasma Screencasting extensions" ON)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Gui Network DBus WaylandClient Qml)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config DBusAddons KCMUtils I18n CoreAddons StatusNotifierItem)


find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config DBusAddons)

find_package(FreeRDP 2.10 REQUIRED)
find_package(WinPR 2.10 REQUIRED)
find_package(FreeRDP-Server 2.10 REQUIRED)
find_package(KPipeWire 5.27.80 REQUIRED)
find_package(XKB REQUIRED)

find_package(Qt6Keychain CONFIG)
set_package_properties(Qt6Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
				   TYPE REQUIRED)

if (BUILD_PLASMA_SESSION)
    find_package(PlasmaWaylandProtocols REQUIRED)
endif()

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

add_subdirectory(src)
add_subdirectory(server)

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ecm_setup_version(
    PROJECT
    VARIABLE_PREFIX KRdp
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/krdp_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KRdpConfigVersion.cmake"
    SOVERSION 1
)

configure_package_config_file(
    "KRdpConfig.cmake.in"
    "KRdpConfig.cmake"
    INSTALL_DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KRdp
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KRdpConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KRdpConfigVersion.cmake"
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KRdp
    COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

=== debian/changelog ===
krdp (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:58:51 +0100

krdp (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Aug 2024 00:24:11 +0100

krdp (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:18 +0200

krdp (6.1.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1074485)

 -- Patrick Franz <deltaone@debian.org>  Sun, 30 Jun 2024 17:09:43 +0200

=== debian/control ===
Source: krdp
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.2.0~),
               freerdp2-dev (>= 2.10~),
               gettext,
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6statusnotifieritem-dev (>= 6.2.0~),
               libkpipewire-dev (>= 6.1.5~),
               libwinpr2-dev,
               libxkbcommon-dev,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-wayland-dev (>= 6.6.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/krdp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
Rules-Requires-Root: no

Package: krdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE's RDP Server with a settings module for Plasma
 The package contains both an RDP server as well as a
 systemsettings module to configure an RDP server.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_EXAMPLES=OFF -DBUILD_PLASMA_SESSION=ON

## krdp 6.2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.2.5")
 
 cmake_minimum_required(VERSION 3.16)
 
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.5.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.85")
 
 project(KRdp VERSION "${PROJECT_VERSION}")
@@ -35,10 +35,7 @@
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Gui Network DBus WaylandClient Qml)
 
-find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config DBusAddons KCMUtils I18n CoreAddons StatusNotifierItem)
-
-
-find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config DBusAddons)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config DBusAddons KCMUtils I18n CoreAddons StatusNotifierItem Crash)
 
 find_package(FreeRDP 2.10 REQUIRED)
 find_package(WinPR 2.10 REQUIRED)
@@ -95,6 +92,9 @@
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 ki18n_install(po)

=== debian/changelog ===
krdp (6.2.5-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Also remove libwinpr2-dev build dependency, shipped by FreeRDP 2.
    (Closes: #1081528)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 21:55:11 +0100

krdp (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream MR to add support for FreeRDP 3.
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Add build flag to build with FreeRDP 3.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:21:46 +0100

krdp (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:36:14 +0100

krdp (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:30 +0100

krdp (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:21:12 +0200

krdp (6.2.0-1) experimental; urgency=medium

  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).
  * Tighten inter-Plasma package dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:46 +0200

krdp (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.
  * Tighten Plasma packages inter-dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:00 +0200

krdp (6.1.4-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten Plasma packages inter-dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Aug 2024 01:07:37 +0200

krdp (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Add Recommends to systemsettings for the RDP server configuration KCM.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:22 +0200

=== debian/control ===
Source: krdp
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               freerdp3-dev,
               gettext,
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6dbusaddons-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6kcmutils-dev (>= 6.5.0~),
               libkf6statusnotifieritem-dev (>= 6.5.0~),
               libkpipewire-dev (>= 6.2.0),
               libxkbcommon-dev,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.7.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/krdp
Vcs-Browser: https://salsa.debian.org/debian/krdp
Vcs-Git: https://salsa.debian.org/debian/krdp.git
Rules-Requires-Root: no

Package: krdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: systemsettings,
Description: KDE's RDP Server with a settings module for Plasma
 The package contains both an RDP server as well as a
 systemsettings module to configure an RDP server.

## krdp 6.2.90

=== debian/changelog ===
krdp (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 07:50:11 +0000

krdp (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:00:16 +0000

krdp (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:13:17 +0000

krdp (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New build depend on libkf6crash-dev.
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:56:28 +0000

=== debian/control ===
Source: krdp
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.10.0~),
               freerdp2-dev (>= 2.10~),
               gettext,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6statusnotifieritem-dev (>= 6.10.0~),
               libkpipewire-dev (>= 6.2.90~),
               libwinpr2-dev,
               libxkbcommon-dev,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-base-private-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0+dfsg~),
               qt6-wayland-dev (>= 6.7.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/krdp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
Rules-Requires-Root: no

Package: krdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE's RDP Server with a settings module for Plasma
 The package contains both an RDP server as well as a
 systemsettings module to configure an RDP server.

## krdp 6.3.0

=== debian/changelog ===
krdp (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:59:39 +0100

krdp (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Fix Vcs-* URLs. (Closes: #1092560)
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:52:48 +0100

krdp (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:38:46 +0100

=== debian/control ===
Source: krdp
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               freerdp3-dev (>= 2.10~),
               gettext,
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6statusnotifieritem-dev (>= 6.10.0~),
               libkpipewire-dev (>= 6.2.90~),
               libwinpr3-dev (>= 2.10~),
               libxkbcommon-dev,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.7.0~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.7.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/krdp
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdp
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdp.git
Rules-Requires-Root: no

Package: krdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: systemsettings,
Description: KDE's RDP Server with a settings module for Plasma
 The package contains both an RDP server as well as a
 systemsettings module to configure an RDP server.

## krdp 6.3.2

=== debian/changelog ===
krdp (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:53:01 +0100

## krdp 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.2.5")
+set(PROJECT_VERSION "6.3.4")
 
 cmake_minimum_required(VERSION 3.16)
 
 set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.5.0")
+set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.85")
 
 project(KRdp VERSION "${PROJECT_VERSION}")
@@ -29,6 +29,7 @@
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
 include(ECMEnableSanitizers)
+include(ECMDeprecationSettings)
 
 option(BUILD_EXAMPLES "Build example applications" ON)
 option(BUILD_PLASMA_SESSION "Build support for Plasma Screencasting extensions" ON)
@@ -57,6 +58,11 @@
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
+
+
+ecm_set_disabled_deprecation_versions(QT 6.7.0
+    KF 6.9.0
+)
 
 add_subdirectory(src)
 add_subdirectory(server)

=== server/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"krdpserver\")

add_executable(krdpserver)

target_sources(krdpserver PRIVATE main.cpp SessionController.cpp)

kconfig_target_kcfg_file(krdpserver FILE krdpserversettings.kcfg CLASS_NAME ServerConfig SINGLETON)

target_include_directories(krdpserver PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries(krdpserver PRIVATE Qt6::Gui KF6::CoreAddons KF6::ConfigGui KF6::DBusAddons KF6::Crash KRdp qt6keychain KF6::StatusNotifierItem KF6::I18n)

if (BUILD_PLASMA_SESSION)
    target_compile_definitions(krdpserver PRIVATE -DWITH_PLASMA_SESSION)
endif()

configure_file(org.kde.krdp.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdp.desktop @ONLY)
configure_file(app-org.kde.krdpserver.service.in ${CMAKE_CURRENT_BINARY_DIR}/app-org.kde.krdpserver.service @ONLY)

install(TARGETS krdpserver DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdp.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/app-org.kde.krdpserver.service DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR})

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-License-Identifier: BSD-2-Clause

add_library(KRdp)

if (BUILD_PLASMA_SESSION)
    if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
        set(private_code_option  "PRIVATE_CODE")
    endif()
    qt6_generate_wayland_protocol_client_sources(KRdp FILES
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/zkde-screencast-unstable-v1.xml
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/fake-input.xml
        ${Wayland_DATADIR}/wayland.xml
        ${private_code_option}
    )
    target_sources(KRdp PRIVATE screencasting.cpp PlasmaScreencastV1Session.cpp)
endif()

target_sources(KRdp PRIVATE
    AbstractSession.cpp
    Clipboard.cpp
    Clipboard.h
    RdpConnection.cpp
    Server.cpp
    Server.h
    InputHandler.cpp
    InputHandler.h
    PeerContext.cpp
    PeerContext_p.h
    PortalSession.cpp
    PortalSession.h
    VideoStream.cpp
    VideoStream.h
    Cursor.cpp
    Cursor.h
    NetworkDetection.cpp
    NetworkDetection.h
)

ecm_qt_declare_logging_category(KRdp
    HEADER krdp_logging.h
    IDENTIFIER KRDP
    CATEGORY_NAME org.kde.krdp
    DESCRIPTION "KRdp"
    EXPORT KRdp
    DEFAULT_SEVERITY Debug
)

ecm_generate_export_header(KRdp
    BASE_NAME KRdp
    VERSION ${CMAKE_PROJECT_VERSION}
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

qt6_add_dbus_interface(_dbus_sources xdp_dbus_remotedesktop_interface.xml xdp_dbus_remotedesktop_interface)
qt6_add_dbus_interface(_dbus_sources xdp_dbus_screencast_interface.xml xdp_dbus_screencast_interface)
target_sources(KRdp PRIVATE ${_dbus_sources})

if ("${FreeRDP_VERSION_MAJOR}" STREQUAL "3")
    target_compile_definitions(KRdp PRIVATE -DFREERDP3)
endif()

target_include_directories(KRdp PUBLIC ${FreeRDP_INCLUDE_DIR} ${WinPR_INCLUDE_DIR} ${FreeRDP_Server_INCLUDE_DIR})

target_link_libraries(KRdp PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Network
    Qt::DBus
    Qt::WaylandClient
    Qt::GuiPrivate

    freerdp
    winpr
    freerdp-server
    KF6::ConfigCore
    K::KPipeWire
    K::KPipeWireRecord
    XKB::XKB
)

set_target_properties(KRdp PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

install(TARGETS KRdp DESTINATION ${KDE_INSTALL_LIBDIR})

ecm_qt_install_logging_categories(EXPORT KRdp DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

add_subdirectory(kcm)

=== examples/streamer/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-License-Identifier: BSD-2-Clause

add_executable(krdpstreamer)

target_sources(krdpstreamer PRIVATE main.cpp)

target_link_libraries(krdpstreamer Qt${QT_MAJOR_VERSION}::Gui KRdp)

=== src/kcm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Akseli Lahtinen <akselmo@akselmo.dev>
#
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_krdpserver\")

kcmutils_add_qml_kcm(kcm_krdpserver)

kcmutils_generate_module_data(kcm_krdpserver
    MODULE_DATA_HEADER krdpserverdata.h
    MODULE_DATA_CLASS_NAME KRDPServerData
    SETTINGS_HEADERS krdpserversettings.h
    SETTINGS_CLASSES KRDPServerSettings
)

kconfig_target_kcfg_file(kcm_krdpserver
    FILE krdpserversettings.kcfg
    CLASS_NAME KRDPServerSettings
    MUTATORS
    DEFAULT_VALUE_GETTERS
    GENERATE_PROPERTIES
    PARENT_IN_CONSTRUCTOR
    NOTIFIERS
    GENERATE_MOC
)

target_sources(kcm_krdpserver PRIVATE
   kcmkrdpserver.cpp
   kcmkrdpserver.h
)

ecm_qt_declare_logging_category(kcm_krdpserver
    HEADER krdpkcm_logging.h
    IDENTIFIER KRDPKCM
    CATEGORY_NAME org.kde.krdp.kcm
    DESCRIPTION "KRDPKCM"
    EXPORT kcm_krdpserver
    DEFAULT_SEVERITY Debug
)

target_link_libraries(kcm_krdpserver PRIVATE
    Qt::Quick
    Qt::DBus
    qt6keychain
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::KCMUtilsQuick
    KF6::I18n
    K::KPipeWireRecord
)

ecm_qt_install_logging_categories(EXPORT kcm_krdpserver DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

=== debian/changelog ===
krdp (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:55:06 +0100

krdp (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:18:06 +0000

krdp (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current Plasma version.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Mar 2025 10:20:22 +0000

krdp (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:15:32 +0000

krdp (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:22:36 +0000

krdp (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:54:31 +0000

krdp (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:41:14 +0000

krdp (6.2.90-1ubuntu1) plucky; urgency=medium

  * Merge from Debian experimental. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Jan 2025 14:29:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: krdp
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                freerdp3-dev (>= 2.10~),
                gettext,
@@ -17,7 +18,7 @@
                libkf6i18n-dev (>= 6.10.0~),
                libkf6kcmutils-dev (>= 6.10.0~),
                libkf6statusnotifieritem-dev (>= 6.10.0~),
-               libkpipewire-dev (>= 6.2.90~),
+               libkpipewire-dev (>= 6.3.4~),
                libwinpr3-dev (>= 2.10~),
                libxkbcommon-dev,
                plasma-wayland-protocols,
@@ -28,8 +29,8 @@
                qtkeychain-qt6-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/krdp
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdp
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdp.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
 Rules-Requires-Root: no
 
 Package: krdp

## krdp 6.3.5

=== debian/changelog ===
krdp (6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
  * Backport upstream commits:
    - Fix mouse wheel scroll triggering screen hot corners when using xfreerdp
    under Wayland.
    - Increase default video stream quality to make it readable.
    - Use new kpipewire asynchronous methods, tentative fix for issues when
    restoring sessions.
    - Support horizontal wheel event. (kde#496747)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 23:39:08 +0200

krdp (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: krdp
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                freerdp3-dev (>= 2.10~),
                gettext,
@@ -27,10 +26,10 @@
                qt6-declarative-dev (>= 6.7.0~),
                qt6-wayland-dev (>= 6.7.0~),
                qtkeychain-qt6-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/krdp
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdp
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdp.git
 Rules-Requires-Root: no
 
 Package: krdp

## krdp 6.4.3

=== debian/changelog ===
krdp (6.4.3-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 31 Jul 2025 02:34:50 +0000

krdp (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:20:45 +0000

krdp (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:52:23 +0000

krdp (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Jun 2025 00:02:25 +0000

krdp (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:39:25 +0000

krdp (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:09:42 +0000

krdp (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:24:20 +0000

krdp (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:19:47 +0000

krdp (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:21:32 +0000

krdp (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:08:28 +0000

krdp (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:40:28 +0000

krdp (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:12:11 +0000

krdp (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:45:00 +0000

krdp (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:23:15 +0000

krdp (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:15:36 +0000

krdp (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:26:41 +0000

krdp (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:30:41 +0000

krdp (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:21:12 +0000

krdp (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:38:21 +0000

krdp (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:15:13 +0000

krdp (6.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:48:48 +0000

krdp (6.0.90-0neon) jammy; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Sat, 05 May 2024 21:23:02 +1000

=== debian/control ===
Source: krdp
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               freerdp3-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kstatusnotifieritem-dev,
               libkpipewire-dev,
               libwinpr2-dev,
               pkg-kde-tools-neon,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-wayland-dev,
               qtkeychain-qt6-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/krdp
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/krdp.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/krdp
Maintainer: Neon CI <neon@kde.org>

Package: libkrdp-dev
Section: libdevel
Architecture: any
Depends: kf6-extra-cmake-modules,
         libkrdp6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: KDE's RDP library
 Library and examples for creating an RDP server.
 .
 This package contains the library development files.

Package: krdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkrdp6 (<< 6.0.90)
Breaks: libkrdp6 (<< 6.0.90)
Description: KDE's RDP library
 Library and examples for creating an RDP server.
 .
 This package contains the krdp main library.

Package: libkrdp6
Architecture: all
Priority: optional
Section: oldlibs
Depends: krdp, ${misc:Depends}, ${shlibs:Depends}
Description: dummy transitional package
 This package can be safely removed.

## krdp 6.4.4

=== debian/changelog ===
krdp (6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:09 +0200

krdp (6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 27 Aug 2025 11:49:28 +0200

krdp (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Drop included upstream_mr_69_add-support-for-freerdp3.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:28:19 +0100

krdp (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:33:30 +0100

=== debian/control ===
Source: krdp
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               freerdp3-dev (>= 2.10~),
               gettext,
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6statusnotifieritem-dev (>= 6.14.0~),
               libkpipewire-dev (>= 6.4.4~),
               libwinpr3-dev (>= 2.10~),
               libxkbcommon-dev,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0+dfsg~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-wayland-dev (>= 6.8.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/krdp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdp
Rules-Requires-Root: no

Package: krdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: systemsettings,
Description: KDE's RDP Server with a settings module for Plasma
 The package contains both an RDP server as well as a
 systemsettings module to configure an RDP server.

## krdp 6.4.5

=== examples/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(streamer)

=== server/CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,9 @@
     target_compile_definitions(krdpserver PRIVATE -DWITH_PLASMA_SESSION)
 endif()
 
-configure_file(org.kde.krdp.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdp.desktop @ONLY)
+configure_file(org.kde.krdpserver.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdpserver.desktop @ONLY)
 configure_file(app-org.kde.krdpserver.service.in ${CMAKE_CURRENT_BINARY_DIR}/app-org.kde.krdpserver.service @ONLY)
 
 install(TARGETS krdpserver DESTINATION ${KDE_INSTALL_BINDIR})
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdp.desktop DESTINATION ${KDE_INSTALL_APPDIR})
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.krdpserver.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/app-org.kde.krdpserver.service DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -57,10 +57,6 @@
 qt6_add_dbus_interface(_dbus_sources xdp_dbus_screencast_interface.xml xdp_dbus_screencast_interface)
 target_sources(KRdp PRIVATE ${_dbus_sources})
 
-if ("${FreeRDP_VERSION_MAJOR}" STREQUAL "3")
-    target_compile_definitions(KRdp PRIVATE -DFREERDP3)
-endif()
-
 target_include_directories(KRdp PUBLIC ${FreeRDP_INCLUDE_DIR} ${WinPR_INCLUDE_DIR} ${FreeRDP_Server_INCLUDE_DIR})
 
 target_link_libraries(KRdp PUBLIC

=== src/kcm/CMakeLists.txt ===
--- 
+++ 
@@ -24,10 +24,23 @@
     GENERATE_MOC
 )
 
+ecm_qt_declare_logging_category(kcm_krdpserver
+    HEADER krdp_logging.h
+    IDENTIFIER KRDP
+    CATEGORY_NAME org.kde.krdp
+    DESCRIPTION "KRdp"
+    EXPORT kcm_krdpserver
+    DEFAULT_SEVERITY Debug
+)
+
 target_sources(kcm_krdpserver PRIVATE
    kcmkrdpserver.cpp
    kcmkrdpserver.h
 )
+
+qt_add_dbus_interface(kcm_krdpserver_dbus_srcs org.freedesktop.impl.portal.PermissionStore.xml org.freedesktop.impl.portal.PermissionStore)
+
+target_sources(kcm_krdpserver PRIVATE ${kcm_krdpserver_dbus_srcs})
 
 ecm_qt_declare_logging_category(kcm_krdpserver
     HEADER krdpkcm_logging.h

=== debian/changelog ===
krdp (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:33 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libkf6i18n-dev (>= 6.14.0~),
                libkf6kcmutils-dev (>= 6.14.0~),
                libkf6statusnotifieritem-dev (>= 6.14.0~),
-               libkpipewire-dev (>= 6.4.4~),
+               libkpipewire-dev (>= 6.4.5~),
                libwinpr3-dev (>= 2.10~),
                libxkbcommon-dev,
                plasma-wayland-protocols,

## krdp 6.4.5+p24.04+vstable+git20251019.0244

=== debian/changelog ===
krdp (6.4.5+p24.04+vstable+git20251019.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:44:29 +0000

krdp (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:48:56 +0000

krdp (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:30:58 +0000

## krdp 6.4.5+p24.04+vstable+git20251020.0053

=== debian/changelog ===
krdp (6.4.5+p24.04+vstable+git20251020.0053-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:53:53 +0000

## krdp 6.4.5+p24.04+vstable+git20251021.0319

=== debian/changelog ===
krdp (6.4.5+p24.04+vstable+git20251021.0319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:19:11 +0000

## krdp 6.4.5+p24.04+vunstable+git20250930.1622

=== debian/changelog ===
krdp (6.4.5+p24.04+vunstable+git20250930.1622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 16:22:39 +0000

## krdp 6.4.5+p24.04+vunstable+git20251003.1313

=== debian/changelog ===
krdp (6.4.5+p24.04+vunstable+git20251003.1313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 13:13:01 +0000

## krdp 6.4.91

=== debian/changelog ===
krdp (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:10:01 +0200

=== debian/control ===
Source: krdp
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               freerdp3-dev (>= 3.1~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.4.91~),
               libpam0g-dev,
               libwinpr3-dev (>= 3.1~),
               libxkbcommon-dev,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               qtkeychain-qt6-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/krdp
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdp
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdp.git
Rules-Requires-Root: no

Package: krdp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemsettings,
Description: KDE's RDP Server with a settings module for Plasma
 The package contains both an RDP server as well as a
 systemsettings module to configure an RDP server.

## krdp 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.5.0")
 
 cmake_minimum_required(VERSION 3.16)
 
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.85")
 
 project(KRdp VERSION "${PROJECT_VERSION}")
@@ -30,17 +30,22 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMEnableSanitizers)
 include(ECMDeprecationSettings)
+include(ECMQmlModule)
 
 option(BUILD_EXAMPLES "Build example applications" ON)
 option(BUILD_PLASMA_SESSION "Build support for Plasma Screencasting extensions" ON)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Quick Gui Network DBus WaylandClient Qml)
 
-find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config DBusAddons KCMUtils I18n CoreAddons StatusNotifierItem Crash)
+if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
+    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
+endif()
 
-find_package(FreeRDP 2.10 REQUIRED)
-find_package(WinPR 2.10 REQUIRED)
-find_package(FreeRDP-Server 2.10 REQUIRED)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS Config DBusAddons KCMUtils I18n CoreAddons StatusNotifierItem Crash GuiAddons)
+
+find_package(FreeRDP 3.1 REQUIRED)
+find_package(WinPR 3.1 REQUIRED)
+find_package(FreeRDP-Server 3.1 REQUIRED)
 find_package(KPipeWire 5.27.80 REQUIRED)
 find_package(XKB REQUIRED)
 
@@ -50,9 +55,16 @@
                                    URL "https://github.com/frankosterfeld/qtkeychain"
 				   TYPE REQUIRED)
 
-if (BUILD_PLASMA_SESSION)
+if(BUILD_PLASMA_SESSION)
     find_package(PlasmaWaylandProtocols REQUIRED)
 endif()
+
+find_package(PAM REQUIRED)
+set_package_properties(PAM PROPERTIES DESCRIPTION "PAM Libraries"
+                       URL "https://www.kernel.org/pub/linux/libs/pam/"
+                       TYPE REQUIRED
+                       PURPOSE "Required for authentication"
+                      )
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
@@ -61,7 +73,7 @@
 
 
 ecm_set_disabled_deprecation_versions(QT 6.7.0
-    KF 6.9.0
+    KF 6.12.0
 )
 
 add_subdirectory(src)

=== debian/changelog ===
krdp (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:59:14 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_EXAMPLES=OFF -DWITH_FREERDP3=ON

## krdp 6.5.0+p24.04+vstable+git20251021.0911

=== debian/changelog ===
krdp (6.5.0+p24.04+vstable+git20251021.0911-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:11:19 +0000

krdp (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:44:42 +0000

=== debian/control ===
Source: krdp
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               freerdp3-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kstatusnotifieritem-dev,
               libkpipewire-dev,
               libpam0g-dev,
               libwinpr2-dev,
               pkg-kde-tools-neon,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-wayland-dev,
               qtkeychain-qt6-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/krdp
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/krdp.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/krdp
Maintainer: Neon CI <neon@kde.org>

Package: libkrdp-dev
Section: libdevel
Architecture: any
Depends: kf6-extra-cmake-modules,
         libkrdp6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: KDE's RDP library
 Library and examples for creating an RDP server.
 .
 This package contains the library development files.

Package: krdp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkrdp6 (<< 6.0.90)
Breaks: libkrdp6 (<< 6.0.90)
Description: KDE's RDP library
 Library and examples for creating an RDP server.
 .
 This package contains the krdp main library.

Package: libkrdp6
Architecture: all
Priority: optional
Section: oldlibs
Depends: krdp, ${misc:Depends}, ${shlibs:Depends}
Description: dummy transitional package
 This package can be safely removed.

## krdp 6.5.0+p24.04+vunstable+git20251021.0818

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: 2023 Arjen Hiemstra <ahiemstra@heimr.nl>
 # SPDX-License-Identifier: BSD-2-Clause
 
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.80")
 
 cmake_minimum_required(VERSION 3.16)

=== debian/changelog ===
krdp (6.5.0+p24.04+vunstable+git20251021.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:18:29 +0000
